<script type="text/javascript">	
$(document).ready(function(){
	$("#tabs").tabs({selected:0});
	$("#form").load('modul/gaji/form.php');

	$("#cari_slip").click(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();
		var nik1  = $("#t_nik1").val();
		var nik2  = $("#t_nik2").val();

		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }

		var akses	= 1;
		$.ajax({
			type	: "GET",
			url		: "modul/gaji/tampil_slip.php",
			data	: "tahun="+tahun+
					"&bulan="+bulan+
					"&nik1="+nik1+
					"&nik2="+nik2,
			timeout	: 2000,
			beforeSend	: function(){
				$("#tampil_slip").html("<img src='loading.gif' />");
			},
			success	: function(data){
				$("#tampil_data").hide();
				$("#tampil_slip").html(data);
			}
		});
	});

	$("#t_bulan").keyup(function(){
		tampil_data();
	});

	$("#t_bulan").click(function(){
		tampil_data();
	});

	$("#t_tahun").keyup(function(){
		var vtahun = $("#t_tahun").val();
		
		if(vtahun>2100){
			alert('Penulisan tahun tidak terdefinisi.');
			$("#t_tahun").focus();
			return (false);
		}
		if(vtahun<2000){
			if(vtahun>999){
				alert('Penulisan tahun tidak terdefinisi.');
				$("#t_tahun").focus();
				return (false);
			}
		}
		tampil_data();
	});
	
	function tampil_data(){
		var bulan = $("#t_bulan").val();
		var tahun = $("#t_tahun").val();
		var nik1  = $("#t_nik1").val();
		var nik2  = $("#t_nik2").val();
				
		$("#tampil_data").show();
		$("#tampil_data").load('modul/gaji/tampil_data.php?bulan='+bulan+'&tahun='+tahun+'&nik1='+nik1+'&nik2='+nik2);
	}
	
	$('#form_cari_nik').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#t_nik1").keyup(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();

		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }
		$('#form_cari_nik').dialog('open');
		
		var akses	= 1;
		$.ajax({
			type	: "GET",
			url		: "modul/gaji/tampil_data_nik1.php",
			data	: "bulan="+bulan+
					"&tahun="+tahun,
			timeout	: 2000,
			beforeSend	: function(){
				$("#info_nik").html("<img src='loading.gif' />");
			},
			success	: function(data){
				$("#info_nik").html(data);
			}
		});
	});
	
	$("#t_nik1").click(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();

		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }
		$('#form_cari_nik').dialog('open');
		
		var akses	= 1;
		$.ajax({
			type	: "GET",
			url		: "modul/gaji/tampil_data_nik1.php",
			data	: "bulan="+bulan+
					"&tahun="+tahun,
			timeout	: 2000,
			beforeSend	: function(){
				$("#info_nik").html("<img src='loading.gif' />");
			},
			success	: function(data){
				$("#info_nik").html(data);
			}
		});
	});
	
	$("#t_nik2").keyup(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();
		var tnik1 = $("#t_nik1").val();

		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }
		
		if(tnik1.length == 0){
			var error = true;
			alert("Maaf, kolom NIK awal harus diisi lebiih dahulu.");
			$("#t_nik1").focus();
			return (false);
        }
		$('#form_cari_nik').dialog('open');
		
		var akses	= 1;
		$.ajax({
			type	: "GET",
			url		: "modul/gaji/tampil_data_nik2.php",
			data	: "bulan="+bulan+
					"&tahun="+tahun,
			timeout	: 2000,
			beforeSend	: function(){
				$("#info_nik").html("<img src='loading.gif' />");
			},
			success	: function(data){
				$("#info_nik").html(data);
			}
		});
	});
	
	$("#t_nik2").click(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();
		var tnik1 = $("#t_nik1").val();

		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }
		
		if(tnik1.length == 0){
			var error = true;
			alert("Maaf, kolom NIK awal harus diisi lebiih dahulu.");
			$("#t_nik1").focus();
			return (false);
        }
		$('#form_cari_nik').dialog('open');
		
		var akses	= 1;
		$.ajax({
			type	: "GET",
			url		: "modul/gaji/tampil_data_nik2.php",
			data	: "bulan="+bulan+
					"&tahun="+tahun,
			timeout	: 2000,
			beforeSend	: function(){
				$("#info_nik").html("<img src='loading.gif' />");
			},
			success	: function(data){
				$("#info_nik").html(data);
			}
		});
	});
	
	$("#cetak_slip").click(function(){
		var tahun = $("#t_tahun").val();
		var bulan = $("#t_bulan").val();
		var nik1  = $("#t_nik1").val();
		var nik2  = $("#t_nik2").val();

		if(bulan.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih bulan.");
			$("#t_bulan").focus();
			return (false);
        }
		if(tahun.length == 0){
			var error = true;
			alert("Maaf, kolom Tahun harus diisi lebih dahulu.");
			$("#t_tahun").focus();
			return (false);
        }
		window.location.href='modul/laporan/slip_gaji.php?tahun='+tahun+'&bulan='+bulan+'&nik1='+nik1+'&nik2='+nik2;
	});
	
	$("#tutup_slip").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>
<?php
include "../../inc/inc.koneksi.php";
$tanggal=date('Y-m-d');
$tahun=substr($tanggal,0,4);

echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#form'>INPUT GAJI BULANAN</a></li>
	       <li><a href='#data'>CETAK SLIP GAJI</a></li>
		</ul>";
	echo "<div id='form'>
		</div>";
		
	echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Bulan : <select name='t_bulan' id='t_bulan' >
						<option value='' selected>-Pilih-</option>
						<option value='1'> 1 - JANUARI</option>
						<option value='2'> 2 - FEBRUARI</option>
						<option value='3'> 3 - MARET</option>
						<option value='4'> 4 - APRIL</option>
						<option value='5'> 5 - MEI</option>
						<option value='6'> 6 - JUNI</option>
						<option value='7'> 7 - JULI</option>
						<option value='8'> 8 - AGUSTUS</option>
						<option value='9'> 9 - SEPTEMBER</option>
						<option value='10'>10 - OKTOBER</option>
						<option value='11'>11 - NOVEMBER</option>
						<option value='12'>12 - DESEMBER</option>
						<option value='13'>13 - THR</option>
					</select>
					</td>
			
					<input type='text' name='t_kodegj1' id='t_kodegj1' hidden/>
					<input type='text' name='t_kodegj2' id='t_kodegj2' hidden/>
					<td>Tahun : <input type='number' name='t_tahun' id='t_tahun' value='$tahun' ></td>
					<td>NIK : <input type='text' name='t_nik1' id='t_nik1' size='4'> S/D <input type='text' name='t_nik2' id='t_nik2' size='4' ></td>
				</tr>
				</table>
				
				<table width='100%'>
				<tr>
					<td align='center' >
						<button name='cari_slip' id='cari_slip'>Tampilkan Slip</button>
						<button name='cetak_slip' id='cetak_slip'>Cetak</button>
						<button name='tutup_slip' id='tutup_slip'>Tutup</button>
					</td>
				</tr>
				</table>
				<hr>
			</div>
			
			<div id='tampil_data' align='center'></div>
			<div id='tampil_slip' align='center'></div>
	</div>";
	
echo "<div id='form_cari_nik' title='Pencarian NIK'>
		<div id='info_nik' align='center'></div>
	</div>";
	
echo "<div id='info' align='center'></div>";
echo "</div>";
?>
